← Standen
Wissen

Scotland

Caledonia North Region League Division 2

#TeamPWDLPDBPPtsVorm
1Aberdeenshire RFC7700+333735WWWWW
2Shetland RFC6402+76420WWLLW
3Highland 3rd XV5302+3517WLWLW
4North Police Scotland6303+31416LLWWL
5Garioch RFC5302+29214LLWWW
6Banff RFC5203+6027LWLWL
7Stornoway RFC7106-12730LLWLL
8Aberdeen Grammar Rugby 2nd XV5005-40510LLLLL

Bron: Scottish Rugby · gecontroleerd 18 okt, 16:20 · Vorm: de laatste vijf uitslagen die we hebben, de nieuwste rechts.

Wedstrijden & uitslagen →

Elke stand is de stand zoals de competitie die zelf publiceert, met bonuspunten, puntenaftrek en beslissingsregels. BP staat er waar de competitie het publiceert; elders zit het al in Pts.